Bug 1124472 - shell namespace pollution with /etc/profile.d/kde.{,c}sh
Summary: shell namespace pollution with /etc/profile.d/kde.{,c}sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-settings
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ngo Than
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1064025
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:43 UTC by Jacob Hunt
Modified: 2018-12-09 18:15 UTC (History)
2 users (show)

Fixed In Version: kde-settings-19-23.5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-25 13:16:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1901 normal SHIPPED_LIVE kde-settings bug fix update 2014-11-25 18:16:40 UTC

Description Jacob Hunt 2014-07-29 14:43:33 UTC
Description of problem:

Due to a change for RHEL7, the file "/etc/profile.d/kde.sh" (and kde.csh as well) is now leaving the shell variable "libdir" still set when passing control to the users' shell environments.  The script should have an "unset libdir" line tacked on the end of it.

Also, the /etc/profile.d/kde.{csh,sh} files are packaged with execute permissions.  This is unnecessary and inappropriate for sourced shell files.  If you look at the other files under "/etc/profile.d", you'll see all of them are mode 0644, not an extraneous 0755.

Version-Release number of selected component (if applicable):

kde-settings-19-23.4.el7.noarch

Comment 1 Ngo Than 2014-07-30 10:14:35 UTC
grant devel ack for fasttrack

Comment 8 errata-xmlrpc 2014-11-25 13:16:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1901.html


Note You need to log in before you can comment on or make changes to this bug.